SalesOS.

Gamification

Points, leaderboards, and challenges

Gamification Controller_get Dashboard

GET
/v1/gamification/dashboard

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodRequiredstring
curl -X GET "https://api.salesos.org/v1/gamification/dashboard?period=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Gamification Controller_get Leaderboard

GET
/v1/gamification/leaderboard

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodRequiredstring
curl -X GET "https://api.salesos.org/v1/gamification/leaderboard?period=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Gamification Controller_get Personal Stats

GET
/v1/gamification/me/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodRequiredstring
curl -X GET "https://api.salesos.org/v1/gamification/me/stats?period=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Gamification Controller_get Badges

GET
/v1/gamification/badges

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/gamification/badges" \
  -H "Authorization: Bearer <token>"

Gamification Controller_get Points Breakdown

GET
/v1/gamification/me/points

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodRequiredstring
curl -X GET "https://api.salesos.org/v1/gamification/me/points?period=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Gamification Controller_get Challenges

GET
/v1/gamification/challenges

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/gamification/challenges" \
  -H "Authorization: Bearer <token>"

Gamification Controller_join Challenge

POST
/v1/gamification/challenges/{id}/join

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/gamification/challenges/<string>/join" \
  -H "Authorization: Bearer <token>"